Subject: [saag] Fwd: Last Call: <draft-ietf-core-sid-15.txt> (YANG Schema Item iDentifier (YANG SID)) to Proposed Standard

From: Benjamin Kaduk <[email-masked]>
Date: Sun, 28 Feb 2021 15:08:33 -0800

Hi all,

This appears (on qiuick skim) to be a proposal to create a registry and
assign globally unique uint64 values to items in (unrelated) YANG modules.

In a sense this would be a new global naming system and as such might have
some unexpected properties.  Please send comments to last-call@ as usual,
if you take a look.

-Ben

On Wed, Feb 24, 2021 at 07:39:42AM -0800, The IESG wrote:
> 
> The IESG has received a request from the Constrained RESTful Environments WG
> (core) to consider the following document: - 'YANG Schema Item iDentifier
> (YANG SID)'
>   <draft-ietf-core-sid-15.txt> as Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2021-03-17. Exceptionally, comments may
> be sent to [email-masked] instead. In either case, please retain the beginning
> of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    YANG Schema Item iDentifiers (YANG SID) are globally unique 63-bit
>    unsigned integers used to identify YANG items.  This document defines
>    the semantics, the registration, and assignment processes of YANG
>    SIDs.  To enable the implementation of these processes, this document
>    also defines a file format used to persist and publish assigned YANG
>    SIDs.
> 
> 
> 
> 
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-core-sid/
> 
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
> 
> 
> 
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce